PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_ticket <query>|<command> [options]

DESCRIPTION
Perform tasks related to cluster tickets

Allows ticket attributes to be queried, modified and deleted.

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-queries
    Show queries

--help-commands
    Show command options

--help-advanced
    Show advanced options

--help-additional
    Show additional options

--help-deprecated
    Show deprecated options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Queries:

-l, --info
    Display the information of ticket(s)

-L, --details
    Display the details of ticket(s)

-w, --raw
    Display the IDs of ticket(s)

-q, --query-xml
    Query the XML of ticket(s)

-c, --constraints
    Display the rsc_ticket constraints that apply to ticket(s)

  Commands:

-g, --grant
    Grant a ticket to this cluster site

-r, --revoke
    Revoke a ticket from this cluster site

-s, --standby
    Tell this cluster site this ticket is standby

-a, --activate
    Tell this cluster site this ticket is active

  Advanced Options:

-G, --get-attr=ATTRIBUTE
    Display the named attribute for a ticket

-S, --set-attr=ATTRIBUTE
    Set the named attribute for a ticket

-D, --delete-attr=ATTRIBUTE
    Delete the named attribute for a ticket

-C, --cleanup
    Delete all state of a ticket at this cluster site

  Additional Options:

-v, --attr-value=VALUE
    Attribute value to use with -S

-d, --default=VALUE
    (Advanced) Default attribute value to display if none is found (for use with -G)

-f, --force
    (Advanced) Force the action to be performed

-t, --ticket=ID
    Ticket ID

  Deprecated Options:

-n, --set-name=ID
    (Advanced) ID of the instance_attributes object to change

-i, --nvpair=ID
    (Advanced) ID of the nvpair object to change/delete

-Q, --quiet
    Print only the value on stdout

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

EXAMPLES
Display the info of tickets:

    crm_ticket --info

Display the detailed info of tickets:

    crm_ticket --details

Display the XML of 'ticketA':

    crm_ticket --ticket ticketA --query-xml

Display the rsc_ticket constraints that apply to 'ticketA':

    crm_ticket --ticket ticketA --constraints

Grant 'ticketA' to this cluster site:

    crm_ticket --ticket ticketA --grant

Revoke 'ticketA' from this cluster site:

    crm_ticket --ticket ticketA --revoke

Make 'ticketA' standby (the cluster site will treat a granted 'ticketA' as 'standby', and the dependent resources will be stopped or demoted gracefully without triggering loss-policies):

    crm_ticket --ticket ticketA --standby

Activate 'ticketA' from being standby:

    crm_ticket --ticket ticketA --activate

Get the value of the 'granted' attribute for 'ticketA':

    crm_ticket --ticket ticketA --get-attr granted

Set the value of the 'standby' attribute for 'ticketA':

    crm_ticket --ticket ticketA --set-attr standby --attr-value true

Delete the 'granted' attribute for 'ticketA':

    crm_ticket --ticket ticketA --delete-attr granted

Erase the operation history of 'ticketA' at this cluster site, causing the cluster site to 'forget' the existing ticket state:

    crm_ticket --ticket ticketA --cleanup

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors